"There is a critical error on your site."

http://futurebundles.epizy.com/

Error Message

“Há um erro crítico no seu site.”

I was going to update the woocommerce plugin and suddenly the site breaks and basically it does “maintenance I don’t know what to try in a minute” and then I went to find out how to fix it and it worked. I see that woocommerce is not in the sidebar as usual and I come across a message that I need to make changes to the woocommerce file and when I try to access the site it says this error “critical error on your site” I go to the htdocs files and then wp-config.php and change the value “define (‘WP_DEBUG’, true); to see what the problem is and then an error appears because of the plugin and I eliminated that part that was wrong and I can’t get into my admin panel or website because of that error and if delete, which in this case is this: “return WooCommerce :: instance ();” and now you can’t even enter it at all! I tried everything, could you help me please? This all happened because there was an update to woocommerce! !!! Could you help me as soon as possible? Thanks!(This error did not originate after installing wordpress)

Fatal error : Uncaught Error: Class ‘WooCommerce’ not found in /home/vol5_5/epizy.com/epiz_26944675/htdocs/wp-content/plugins/woocommerce/woocommerce.php:47 Stack trace: #0 /home/vol5_5/epizy.com/epiz_26944675/htdocs/wp-content/plugins/mailchimp-for-woocommerce/bootstrap.php(93): WC() #1 /home/vol5_5/epizy.com/epiz_26944675/htdocs/wp-content/plugins/mailchimp-for-woocommerce/bootstrap.php(1057): mailchimp_environment_variables() #2 /home/vol5_5/epizy.com/epiz_26944675/htdocs/wp-content/plugins/mailchimp-for-woocommerce/bootstrap.php(1067): run_mailchimp_woocommerce() #3 /home/vol5_5/epizy.com/epiz_26944675/htdocs/wp-includes/class-wp-hook.php(287): mailchimp_on_all_plugins_loaded(’’) #4 /home/vol5_5/epizy.com/epiz_26944675/htdocs/wp-includes/class-wp-hook.php(311): WP_Hook->apply_filters(NULL, Array) #5 /home/vol5_5/epizy.com/epiz_26944675/htdocs/wp-includes/plugin.php(478): WP_Hook->do_action(Array) #6 /home/vol5_5/epizy.com/epiz_26944675/htdocs/wp-settings.php(409): do_action(‘plugins_loaded’) #7 /home/vol5_5/epizy.com/e in /home/vol5_5/epizy.com/epiz_26944675/htdocs/wp-content/plugins/woocommerce/woocommerce.php on line 47

error complete if i delete the thing of the line 47 i can join in my admin panel but the plugin woocommerce do not work

and now when I try to access with the link on my website I am redirected to this link:https://suspendeddomain.org/h/

if your website redirects to suspendeddomain.org it means your site has been suspended

1 Like

Please read this article:

3 Likes

very recently it was giving perfectly until an update came and ruined all my wordpress … and it continues with the same problem, I don’t know everyone has to install the woocommerce plugin but I don’t know why it happens only, and only only, with this plugin doesn’t happen with any other problem, I eliminate woocommerce in safe mode and I tried to install and it’s always giving the same problem saying that the update failed I don’t know why, I’ll have to migrate to another plugin? good and very complete to be free and I was already adapting to it … does anyone know how to solve this problem or is it really a plugin problem? Thanks!

This probably due to size of woocommerce plugin.

There is a 10MB limit on file size on InfinityFree hosting

So, if the size of the plugin is more than 10 MB, then you have to download it onto your computer, unzip it, and use a FTP client (example: FileZilla) to upload it to your site in order to update the plugin.

1 Like

Both iFastNet and I are well aware of the problems with updating WordPress and installing and updating (large) themes. We’ve already increased file size limits, memory limits, time limits and other limits to help people, but so far none of these methods have worked sufficiently.

So for now, all I can do is recommend a manual installation instead until we’ve managed to solve (or at least mitigate) these issues.

3 Likes

the problem is that manually it gives the same thing too

English please

Translated: There is a critical error on your site.

Grrr whole topic is in English.

When and how do you see this error on a manual translation?

Just to be clear, a manual installation is:

  1. Remove the corrupted installation from your site.
  2. Upload the files with FTP.
  3. Activate the plugin through the WordPress admin interface through the Installed Plugins list.
3 Likes